<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:output method="html"/>

<xsl:template match="HelpFile">
  <html>
  <head>
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"></meta>
  <title>The Gatherer - Help Pages</title>
  </head>
  <body bgcolor="#E0F0E0" link="#000000" vlink="#000000">
  <table border="2" bgcolor="#B0D0B0" cellpadding="5" cellspacing="0" width="100%">
  <xsl:apply-templates/>
  </table>
  </body>
  </html>
</xsl:template>

<xsl:template match="Header">
  <tr>
  <td align="center" width="15%">
  <img src="gatherer_medium.gif" height="45" width="45"/>
  </td>
  <td align="center" width="*">
  <font face="Verdana" size="4">
  <strong>
  <xsl:apply-templates/>
  </strong>
  </font>
  </td>
  <td align="center" width="15%">
  <img src="gatherer_medium.gif" height="45" width="45"/>
  </td>
  </tr>
</xsl:template>

<!-- The document description -->
<xsl:template match="Description">
  <tr bgcolor="#E0F0E0">
  <td colspan="3" width="100%">
  <font face="Verdana" size="3">
  <xsl:apply-templates/>
  </font>
  </td>
  </tr>
</xsl:template>

<!-- The document contents -->
<xsl:template match="Contents">
  <tr bgcolor="#E0F0E0">
  <td align="center" colspan="3" width="100%">
    <table border="2" cellpadding="2" width="480" bgcolor="#B0D0B0">
    <tr>
    <td align="center" width="100%">
    <font face="Verdana" size="3">
    <strong>Contents</strong>
    </font>
    </td>
    </tr>
    <tr>
    <td width="100%">
      <table background="gatherer.gif" bgcolor="#FFFFFF" border="0" cellpadding="2" width="100%">
		<xsl:apply-templates/>
		</table>
    </td>
    </tr>
    </table>
  </td>
  </tr>
</xsl:template>

<xsl:template match="Section">
  <tr>
  <td colspan="3">
  <font face="Verdana" size="3">
  <strong>
  <xsl:choose>
    <xsl:when test="@type='s'">
	 Simple instructions
	 </xsl:when>
    <xsl:when test="@type='a'">
	 Advanced instructions
	 </xsl:when>
    <xsl:when test="@type='q'">
	 Problems and Solutions
	 </xsl:when>
  </xsl:choose>
  </strong>
  </font>
  </td>
  </tr>
  <xsl:apply-templates/>
</xsl:template>

<xsl:template match="SubSection/SubSection">
  <tr>
  <td width="10">
  </td>
  <td width="10">
  </td>
  <td>
  <font face="Verdana" size="3">
  <xsl:apply-templates/>
  </font>
  </td>
  </tr>
</xsl:template>

<xsl:template match="SubSection">
  <tr>
  <td width="10">
  </td>
  <td colspan="2">
  <font face="Verdana" size="3">
  <xsl:apply-templates/>
  </font>
  </td>
  </tr>
</xsl:template>


<!-- The text block -->
<xsl:template match="Text">
  <tr bgcolor="#E0F0E0">
  <td colspan="3" width="100%">
  <img src="gatherer_small.gif" height="20" width="20"/>
  <font face="Verdana" size="3">
  <u>
  <xsl:choose>
    <xsl:when test="@type='s'">
	 Simple Instructions:
	 </xsl:when>
	 <xsl:when test="@type='a'">
	 Advanced Instructions:
	 </xsl:when>
  </xsl:choose>
  </u>
  <xsl:apply-templates/>
  </font>
  </td>
  </tr>
</xsl:template>

<xsl:template match="QuestionBlock">
  <tr bgcolor="#E0F0E0">
    <td colspan="3" width="100%">
      <img height="20" src="gatherer_small.gif" width="20"/>
      <font face="Verdana" size="3">
      <u>Problems and Solutions:</u>
		<xsl:apply-templates/>
      </font>
    </td>
  </tr>
</xsl:template>

<xsl:template match="Question">
  <p style="text-align:justify">
  <i>
  <xsl:apply-templates/>
  </i>
  </p>
</xsl:template>

<!-- A paragraph block -->
<xsl:template match="Para">
  <p style="text-align:justify">
  <xsl:apply-templates/>
  </p>
</xsl:template>

</xsl:stylesheet>